CONTENTS OF THIS FILE
---------------------

* Introduction
* Requirements
* Installation
* Configuration
* Notices
* Maintainers


INTRODUCTION
------------

The `media_iframe_cookie` module introduces a new media type called "External Media," enabling the integration of an external iframe into the site.
A configuration file allows you to list the cookies set by desired external services, following the same model as Tarte au Citron.

On the first page load, the module identifies the provider being used and displays a preview of the iframe.
Users can then load the iframe by clicking a dedicated button. This triggers an AJAX request, sets the necessary cookie, and loads the iframe.
From that point on, all iframes from the same provider will be automatically displayed.

This module complies with current GDPR regulations.

REQUIREMENTS
------------

This module requires the **Media** module.

INSTALLATION
------------

* Install the module as you would any contributed Drupal module.
  Visit https://www.drupal.org/node/1897420 for more information.

CONFIGURATION
-------------

1. Install the module using Drush or the administration interface.
2. Edit the **media_iframe_cookie.settings** configuration to add the desired providers (admin configuration coming soon).
3. Create your external media.

NOTICES
-------

If the iframe provider is not declared in the settings, the module will not work.

MAINTAINERS
-----------

Current maintainers:

* Morgann Collet - https://www.drupal.org/u/morgannc
